New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

PermissionError on Save Results #266

Closed
JordanRees opened this Issue Oct 14, 2014 · 2 comments

Comments

2 participants
@JordanRees

JordanRees commented Oct 14, 2014

Application Identifier: com.hardcoded-software.dupeguru
Application Version: 3.9.0
Mac OS X Version: Version 10.9.5 (Build 13F34)

Traceback (most recent call last):
  File "build/dupeGuru.app/Contents/Resources/py/core/results.py", line 371, in save_to_xml
  File "build/dupeGuru.app/Contents/Resources/py/core/results.py", line 367, in do_write
  File "build/dupeGuru.app/Contents/Resources/py/hscommon/util.py", line 386, in __enter__
  File "build/dupeGuru.app/Contents/Resources/py/hscommon/util.py", line 342, in open_if_filename
PermissionError: [Errno 13] Permission denied: '/Duplicates20141014.dupeguru'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "build/dupeGuru.app/Contents/Resources/py/inter/app.py", line 86, in saveResultsAs_
  File "build/dupeGuru.app/Contents/Resources/py/core/app.py", line 708, in save_as
  File "build/dupeGuru.app/Contents/Resources/py/core/results.py", line 380, in save_to_xml
  File "build/dupeGuru.app/Contents/Resources/py/core/results.py", line 367, in do_write
  File "build/dupeGuru.app/Contents/Resources/py/hscommon/util.py", line 386, in __enter__
  File "build/dupeGuru.app/Contents/Resources/py/hscommon/util.py", line 342, in open_if_filename
PermissionError: [Errno 13] Permission denied: '/Duplicates20141014.dupeguru'

Relevant Console logs:

There was an error trying to detect the UTI of /dev
There was an error trying to detect the UTI of /dev
There was an error trying to detect the UTI of /dev

@hsoft hsoft changed the title from error to PermissionError on Save Results Oct 14, 2014

@hsoft hsoft added bug thinking and removed thinking labels Oct 14, 2014

@hsoft hsoft self-assigned this Oct 17, 2014

@hsoft

This comment has been minimized.

Owner

hsoft commented Oct 17, 2014

Yes, it's easily reproducible. One simply has to save results or export CSV somewhere where she doesn't have rights.

We'll need to wrap IO calls into a try except and pop a friendlier message.

hsoft added a commit that referenced this issue Oct 17, 2014

@hsoft hsoft removed the accepted label Apr 19, 2015

@hsoft

This comment has been minimized.

Owner

hsoft commented Dec 26, 2015

I don't know why this ticket is still opened. The fix is already there and included in the latest releases.

@hsoft hsoft closed this Dec 26, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment